LMDE升级请谨慎

由于不想折腾,准备装一次Linux在这台老机子上一直用到底,所以看了一下各种滚动更新的发行版。曾经用过一下arch,但是发现实在是不适合我,gentoo同理,由于apt工具的洗脑,已经很难适应那些要自己编译源码的系统了。所以最后只是在Debian sid和LMDE之间选择了,鉴于LinuxMint的桌面环境更好看,操作也舒服很多,所以最后还是用了LMDE。

以前很长一段时间都试着安装LMDE的mate版,但是不知道是镜像有问题还是我这边的问题,每次都是卡在安装界面无法动了,所以最后还是这次最终使用了cinamon版本的LMDE,很顺利的安装上了,和机子上的Windows 8形成了双系统,通过EasyBCD引导的双系统(用grub引导很容易造成进不了Windows的局面,真心蛋疼)。除了Gnome3的左上角热点区域有点难以忍受之外,其他的都还好,cinamon桌面某些地方还是要比mate好的,好吧,最终我还是把热点区域从左上角移到了右下角,这是用Windows用出来的习惯,无意改变了。

安装好之后,自然就是升级了,毕竟就算是基于Debian的testing版本,半年前的软件也已经很老了,而且使用这个系统的初衷也正是为了免除折腾,让系统自己滚动升级,不用再人为重装了,哪想到一升级就出事了。按照Debian的官方文档,想要升级到代号永远为sid的unstable版本,就必须要先从stable升级到testing,而LMDE已经是基于testing了,所以只要直接升级到sid就行了。按照网上的教程,在/etc/apt/sources.list里把LinuxMint的源全部注释掉了(前面加#即可,官方源实在是太慢了,靠官方源一辈子也不一定用得上新系统),然后用了网易的Debian源,然后把所有的testing改成了sid,保存退出。然后

就可以坐等更新了,我是在晚上更新的,没去理会它,一觉睡醒却发现屏幕黑了,无法激活,还以为是电源管理系统有bug呢,重启之后发现还是这样,才意识到可能兼容性出了点问题,最终只能重装了,现在重装了LinuxDeepin,也是为了不折腾,深度这系统除了慢一点,其他都好,基本上不用自己配置什么。

分析一下悲剧的原因,应该与LMDE和Debian之间有许差别的原因吧,毕竟LMDE上还有不少自己的特有软件,本来的源里边应该有特有源,而直接把那些源全部注释了,等于是把LMDE更新到了Debian。估计用了一段时间的Deepin之后,还是会装回滚动更新的系统,最终应该会用原生的Debian了,毕竟在省资源的同时也保持了非常好的兼容性。

One Comment

发表评论